Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# pixel_reference_type Struct Template Reference
[xxx_type]

`#include <metafunctions.hpp>`

## Detailed Description

### template<typename T, typename L, bool IsPlanar = false, bool IsMutable = true>
struct boost::gil::pixel_reference_type< T, L, IsPlanar, IsMutable >

Returns the type of a homogeneous pixel reference given the channel type, layout, whether it operates on planar data and whether it is mutable.

The documentation for this struct was generated from the following file:

- metafunctions.hpp